services:
  solr:
    container_name: ddev-${DDEV_SITENAME}-solr
    image: solr:[[DDP_SOLR_VERSION]]
    labels:
      com.ddev.site-name: ${DDEV_SITENAME}
      com.ddev.approot: $DDEV_APPROOT
    environment:
      - VIRTUAL_HOST=novarnish.$DDEV_HOSTNAME
      - HTTP_EXPOSE=8983:8983
      - SOLR_CORE=${DDEV_SITENAME}_local
    volumes:
      - ".:/mnt/ddev_config:ro"
      - "./solr/docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d:ro"
      - "${DDEV_APPROOT}/etc/solr:/solr-conf/conf:ro"
      - "solr:/var/solr"
    restart: "no"
    expose:
      - "8983"
    entrypoint: 'bash -c "core=$${SOLR_CORE#ds-}; VERBOSE=yes docker-entrypoint.sh solr-precreate $${core//-/_} /solr-conf"'
    external_links:
      - "ddev-router:${DDEV_SITENAME}.${DDEV_TLD}"
    healthcheck:
      test: ["CMD-SHELL", "curl --fail -s localhost:8983/solr/"]

volumes:
  solr:
    name: "${DDEV_SITENAME}-solr"
